libppi-xs-perl_0.910-1_i386.deb


Advertisement

Description

libppi-xs-perl - Perl module to accelerate the Perl Parsing Interface (PPI)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libppi-xs-perl
Package version 0.910
Package release 1
Package architecture i386
Package type deb
Installed size 36 B
Download size 11.09 KB
Official Mirror archive.ubuntu.com
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.
Once installed, it will be auto-detected and loaded in by PPI completely
transparently. The integration between the primary (Perl) implementation and
the XS-accelerated version are designed to degrade gracefully if they fall out
of sync -- the Perl version is preferred over the XS version.

Alternatives

Package Version Architecture Repository
libppi-xs-perl_0.910-1_amd64.deb 0.910 amd64 Ubuntu Universe
libppi-xs-perl - - -

Requires

Name Value
libc6 >= 2.1.3
libppi-perl -
perl >= 5.26.1-3
perlapi-5.26.1 -

Download

Type URL
Binary Package libppi-xs-perl_0.910-1_i386.deb
Source Package libppi-xs-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libppi-xs-perl deb package:
    # sudo apt-get install libppi-xs-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.26/PPI/XS.pm
/usr/lib/i386-linux-gnu/perl5/5.26/auto/PPI/XS/XS.so
/usr/share/doc/libppi-xs-perl/CONTRIBUTING
/usr/share/doc/libppi-xs-perl/changelog.Debian.gz
/usr/share/doc/libppi-xs-perl/copyright
/usr/share/man/man3/PPI::XS.3pm.gz

Changelog

2017-12-30 - gregor herrmann <gregoa@debian.org>
libppi-xs-perl (0.910-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Jonathan Yu from Uploaders. Thanks for your work!
[ Florian Schlichting ]
* Import upstream version 0.904.
[ gregor herrmann ]
* New upstream release 0.910.
* Add debian/upstream/metadata.
* Install new CONTRIBUTING file.
* Update upstream contact.
* Update years of upstream copyright.
* Declare compliance with Debian Policy 4.1.3.
* Bump debhelper compatibility level to 10.
* Set bindnow linker flag in debian/rules.
2013-09-26 - Florian Schlichting <fsfs@debian.org>
libppi-xs-perl (0.902-1) unstable; urgency=low
[ gregor herrmann ]
* debian/{control,rules}: activate all tests.
* debian/control: update {versioned,alternative} (build) dependencies.
* debian/watch: remove obsolete comment.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ryan Niebur ]
* Update jawnsy's email address
* Update ryan52's email address
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Florian Schlichting ]
* Import Upstream version 0.902
* Remove no longer needed build-dependencies on libtest-pod-perl,
libtest-cpan-meta-perl and libtest-minimumversion-perl
* Bump years of upstream copyright
* Update stand-alone License paragraphs
* Switch dh compatibility to level 9 to enable passing of hardening flags
* Declare compliance with Debian Policy 3.9.4
* Switch to source format 3.0 (quilt)
* Switch to short-form debian/rules
* Add myself to uploaders and copyright
2009-05-17 - Jonathan Yu <frequency@cpan.org>
libppi-xs-perl (0.901-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Refreshed control files using dh-make-perl --refresh
* Added /me to uploaders
* Bumped Standards-Version to 3.8.1
* Rewrote the long description a bit
* Added copyright for ppport.h :-)
* Bumped to the newest debhelper (7.2.10)
[ gregor herrmann ]
* Take over for the Debian Perl Group with maintainer's permission
(http://lists.debian.org/debian-perl/2008/06/msg00039.html)
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Changed:
Maintainer set to Debian Perl Group <pkg-perl-
maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
<rafl@debian.org>); Florian Ragwitz <rafl@debian.org> moved to
Uploaders.
* debian/watch: use dist-based URL.
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Ryan Niebur ]
* Remove Florian Ragwitz from Uploaders
* Close ITA (Closes: #523197)
2008-04-01 - Niko Tyni <ntyni@debian.org>
libppi-xs-perl (0.900-4.1) unstable; urgency=low
* Non-maintainer upload for the Perl 5.10 transition.
* Don't try to remove /usr/share/perl5 if it doesn't exist. (Closes: #463548)
2006-02-17 - Florian Ragwitz <rafl@debian.org>
libppi-xs-perl (0.900-4) unstable; urgency=low
* Added libextutils-autoinstall-perl to Build-Depends (Closes: #352510).
2006-02-11 - Florian Ragwitz <rafl@debian.org>
libppi-xs-perl (0.900-3) unstable; urgency=low
* New Maintainer with acknowledgement from the former one.
* Bumped up Standards-Version to 3.6.2 (no changes).
* Moved build-dep-indep to build-dep as we don't build arch-indep packages.
* Cleaned up debian/rules.

See Also

Package Description
libppix-documentname-perl_0.001003-1_all.deb utility to extract a name from a PPI Document
libppix-editortools-perl_0.21-1_all.deb set of tools for editors to use for manipulating Perl via PPI
libppix-regexp-perl_0.055-1_all.deb module to parse regular expressions
libppix-utilities-perl_1.001000-2_all.deb Perl module containing extensions to PPI
libppl-c4_1.2-2build4_i386.deb Parma Polyhedra Library (C interface)
libppl-dev_1.2-2build4_i386.deb Parma Polyhedra Library (development)
libppl-doc_1.2-2build4_all.deb Parma Polyhedra Library: Documentation
libppl-swi_1.2-2build4_i386.deb Parma Polyhedra Library (SWI Prolog interface)
libppl14_1.2-2build4_i386.deb Parma Polyhedra Library (runtime library)
libppx-deriving-ocaml-dev_4.1-1.1_i386.deb type-driven code generation for OCaml (dev files)
libppx-deriving-ocaml_4.1-1.1_i386.deb type-driven code generation for OCaml (runtime files)
libppx-tools-ocaml-dev_5.0+4.05.0-1_i386.deb tools for authors of OCaml syntactic tools
libppx-visitors-ocaml-dev_20170725-2_i386.deb OCaml syntax extension for object-oriented visitors
libppx-visitors-ocaml-doc_20170725-2_all.deb Documentation of the visitors syntax extension for OCaml
libpqtypes-dev_1.5.1-2_i386.deb parameterized queries libpq extension - development
Advertisement
Advertisement